fribidi_unicode_to_charset(3)

NAME
fribidi_unicode_to_charset - convert string from Unicode

SYNOPSIS
#include <fribidi.h>

extern FriBidiStrIndex fribidi_unicode_to_charset
(
    FriBidiCharSet char_set,
    const FriBidiChar *us,
    FriBidiStrIndex len,
    char *s
);

PARAMETERS

FriBidiCharSet char_set
    Character set to conver to.

    Possible values for a FriBidiCharSet are as follows:
    FRIBIDI_CHAR_SET_UTF8
        UTF-8 (Unicode).
    FRIBIDI_CHAR_SET_CAP_RTL
        CapRTL (Test).
    FRIBIDI_CHAR_SET_ISO8859_6
        ISO8859-6 (Arabic).
    FRIBIDI_CHAR_SET_ISO8859_8
        ISO8859-8 (Hebrew).
    FRIBIDI_CHAR_SET_CP1255
        CP1255 (MS Hebrew/Yiddish).
    FRIBIDI_CHAR_SET_CP1256
        CP1256 (MS Arabic).

const FriBidiChar *us
    Input Unicode string.

FriBidiStrIndex len
    Input string length.

char *s
    Output string encoded in char_set.

DESCRIPTION
This function converts a Unicode string to an string in another character set. It also null-terminates the output string.

RETURNS
The length of the new string.

SEE ALSO
fribidi_shape_arabic(3), fribidi_get_par_direction(3), fribidi_get_par_embedding_levels_ex(3), fribidi_reorder_line(3), fribidi_get_bidi_type(3), fribidi_get_bidi_types(3), fribidi_get_bidi_type_name(3), fribidi_debug_status(3), fribidi_set_debug(3), fribidi_charset_to_unicode(3), fribidi_parse_charset(3), fribidi_mirroring_status(3), fribidi_set_mirroring(3), fribidi_reorder_nsm_status(3), fribidi_set_reorder_nsm(3), fribidi_log2vis_get_embedding_levels(3), fribidi_get_type(3), fribidi_get_type_internal(3), fribidi_remove_bidi_marks(3), fribidi_log2vis(3), fribidi_get_par_embedding_levels(3), fribidi_join_arabic(3), fribidi_get_joining_type(3), fribidi_get_joining_types(3), fribidi_get_joining_type_name(3), fribidi_get_mirror_char(3), fribidi_shape_mirroring(3), fribidi_get_bracket(3), fribidi_get_bracket_types(3), fribidi_shape(3)